Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.util
Enum ProjectViewEvent.Type

    java.lang.Object
      java.lang.Enum<ProjectViewEvent.Type>
          edu.stanford.smi.protege.util.ProjectViewEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<ProjectViewEvent.Type>

Enclosing class:
  ProjectViewEvent

    public static enum ProjectViewEvent.Type

extends Enum<ProjectViewEvent.Type>

Enum Constant Summary
`addTab`
`close`
`removeTab`
`save`

Method Summary
`static ProjectViewEvent.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProjectViewEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### addTab

    public static final ProjectViewEvent.Type addTab

### removeTab

    public static final ProjectViewEvent.Type removeTab

### save

    public static final ProjectViewEvent.Type save

### close

    public static final ProjectViewEvent.Type close

Method Detail

### values

    public static final ProjectViewEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProjectViewEvent.Type c : ProjectViewEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProjectViewEvent.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.